require "binect_importer/dependencies"

module BinectImporter
    class Engine < ::Rails::Engine
        isolate_namespace BinectImporter

        config.generators do |g|
            g.test_framework :rspec, :fixture => false
            g.fixture_replacement :factory_girl, :dir => 'spec/factories'
            g.assets false
            g.helper false
        end

        initializer :set_decorator_paths, :before => :load_environment_hook do |app|
            ActiveSupportDecorators.debug = true
            ActiveSupportDecorators.paths << File.join(config.root, 'app/**')
        end

    end
end
